"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const allWords = /\w+/g;
const wordsSplitChars = /(\.|,|\?| |-|!)/gm;
function specificWordCount(str, word, strict) {
    const strSplit = str.split(wordsSplitChars);
    const cleaned = strSplit.filter(t => {
        return allWords.test(t);
    });
    const counted = cleaned.filter(w => {
        const num = !isNaN(parseFloat(w));
        if (num) {
            return false;
        }
        else if (strict) {
            return word === w;
        }
        else {
            return word.toLowerCase() === w.toLowerCase();
        }
    });
    return counted ? counted.length : 0;
}
function wordCount(str) {
    const strSplit = str.split(wordsSplitChars);
    const cleaned = strSplit.filter(t => {
        return allWords.test(t);
    });
    const counted = cleaned.filter(w => {
        return isNaN(parseFloat(w));
    });
    return counted && counted.length ? counted.length : 0;
}
const words = {
    specificWordCount,
    wordCount
};
exports.words = words;
